<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/UtilsMacros.h 文件参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_utils_macros_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">宏定义</a>  </div>
  <div class="headertitle">
<div class="title">UtilsMacros.h 文件参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="_utils_macros_8h_source.html">浏览源代码.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
宏定义</h2></td></tr>
<tr class="memitem:a548f04b3d1a2bc2c2b4f2c5a3035883c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a548f04b3d1a2bc2c2b4f2c5a3035883c">gApp</a>&#160;&#160;&#160;[UIApplication sharedApplication]</td></tr>
<tr class="separator:a548f04b3d1a2bc2c2b4f2c5a3035883c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d0a080fbb01d0e29caf79d88338f957"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a3d0a080fbb01d0e29caf79d88338f957">gRootVC</a>&#160;&#160;&#160;[UIApplication sharedApplication].delegate.window.rootViewController</td></tr>
<tr class="separator:a3d0a080fbb01d0e29caf79d88338f957"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad12989b812b8ba501ff0eeeb3364d95e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#ad12989b812b8ba501ff0eeeb3364d95e">gUserDefaults</a>&#160;&#160;&#160;[NSUserDefaults standardUserDefaults]</td></tr>
<tr class="separator:ad12989b812b8ba501ff0eeeb3364d95e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a853964dae0669c5f0b67fafacd013acf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a853964dae0669c5f0b67fafacd013acf">gNotifyCenter</a>&#160;&#160;&#160;[NSNotificationCenter defaultCenter]</td></tr>
<tr class="separator:a853964dae0669c5f0b67fafacd013acf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac67f3b7cb189c16b513adb3d9748909f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#ac67f3b7cb189c16b513adb3d9748909f">gDevice</a>&#160;&#160;&#160;[UIDevice currentDevice]</td></tr>
<tr class="separator:ac67f3b7cb189c16b513adb3d9748909f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a122f811ff788c6f5ccc17d413f67a0e1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a122f811ff788c6f5ccc17d413f67a0e1">gScreen</a>&#160;&#160;&#160;[UIScreen mainScreen]</td></tr>
<tr class="separator:a122f811ff788c6f5ccc17d413f67a0e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a210ee0e58ed583bae8cc112adbf3b4eb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a210ee0e58ed583bae8cc112adbf3b4eb">kMaxWidth</a>&#160;&#160;&#160;(<a class="el" href="_utils_macros_8h.html#a6227975f53b2543d4679ba2405decfb3">kScreenHeight</a> &gt; <a class="el" href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a> ? <a class="el" href="_utils_macros_8h.html#a6227975f53b2543d4679ba2405decfb3">kScreenHeight</a> : <a class="el" href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a>)</td></tr>
<tr class="separator:a210ee0e58ed583bae8cc112adbf3b4eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdb519fcdb0f5bced3ea2452e521e8b1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#abdb519fcdb0f5bced3ea2452e521e8b1">MINSCREEN</a>&#160;&#160;&#160;(<a class="el" href="_utils_macros_8h.html#a210ee0e58ed583bae8cc112adbf3b4eb">kMaxWidth</a> &lt; 600)</td></tr>
<tr class="separator:abdb519fcdb0f5bced3ea2452e521e8b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afde53ca2c1289d72d5fb88eea60e67e9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#afde53ca2c1289d72d5fb88eea60e67e9">kDevice_Is_iPhoneX</a>&#160;&#160;&#160;iPhoneX</td></tr>
<tr class="separator:afde53ca2c1289d72d5fb88eea60e67e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04489de138273eb826b8c7137bcf6ae5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a04489de138273eb826b8c7137bcf6ae5">kVersionGreaterThanOrEqualTo</a>(v)&#160;&#160;&#160;([[UIDevice currentDevice].systemVersion compare:v options:NSNumericSearch] != NSOrderedAscending)</td></tr>
<tr class="separator:a04489de138273eb826b8c7137bcf6ae5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cf08b20e0753cb224a6bdcef4902af5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a0cf08b20e0753cb224a6bdcef4902af5">gStatusBarHeight</a>&#160;&#160;&#160;[[UIApplication sharedApplication] statusBarFrame].size.height</td></tr>
<tr class="separator:a0cf08b20e0753cb224a6bdcef4902af5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a09a15c1d18aaa59b32809ea2198835"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a0a09a15c1d18aaa59b32809ea2198835">gNavBarHeight</a>&#160;&#160;&#160;44.0</td></tr>
<tr class="separator:a0a09a15c1d18aaa59b32809ea2198835"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a608239176f10a194176cd5c1344289c8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a608239176f10a194176cd5c1344289c8">gTabbarHeight</a>&#160;&#160;&#160;(kStatusBarHeight &gt; 20 ? 83:49)</td></tr>
<tr class="separator:a608239176f10a194176cd5c1344289c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af35f788649c2f5cec642f6c28ada5ddf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#af35f788649c2f5cec642f6c28ada5ddf">gNavigationBarHeight</a>&#160;&#160;&#160;(<a class="el" href="_utils_macros_8h.html#a0cf08b20e0753cb224a6bdcef4902af5">gStatusBarHeight</a> + <a class="el" href="_utils_macros_8h.html#a0a09a15c1d18aaa59b32809ea2198835">gNavBarHeight</a>)</td></tr>
<tr class="separator:af35f788649c2f5cec642f6c28ada5ddf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f3912dbc7504900c6bcb2d4a35e22b4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a0f3912dbc7504900c6bcb2d4a35e22b4">gSafeBottomHeight</a>&#160;&#160;&#160;(<a class="el" href="_utils_macros_8h.html#afde53ca2c1289d72d5fb88eea60e67e9">kDevice_Is_iPhoneX</a> ? 34:0)</td></tr>
<tr class="separator:a0f3912dbc7504900c6bcb2d4a35e22b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5433e03a21705bfb985237142e850e10"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a5433e03a21705bfb985237142e850e10">gWebNavigationBarHeight</a>&#160;&#160;&#160;<a class="el" href="_utils_macros_8h.html#afde53ca2c1289d72d5fb88eea60e67e9">kDevice_Is_iPhoneX</a> ? (44 + 20) : 20</td></tr>
<tr class="separator:a5433e03a21705bfb985237142e850e10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a953a8d702dbddbece4f1401e9f1d5956"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a953a8d702dbddbece4f1401e9f1d5956">gIpad</a>&#160;&#160;&#160;([[UIDevice currentDevice] userInterfaceIdiom] == UIUserInterfaceIdiomPad)</td></tr>
<tr class="separator:a953a8d702dbddbece4f1401e9f1d5956"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1a157d38b212c04911c55d09db5b0dc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#ad1a157d38b212c04911c55d09db5b0dc">gAPPVERSION</a>&#160;&#160;&#160;[[[NSBundle mainBundle] infoDictionary] objectForKey:@&quot;CFBundleShortVersionString&quot;]</td></tr>
<tr class="separator:ad1a157d38b212c04911c55d09db5b0dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a73d343dd1af7bfb763a047fedebe4c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a>&#160;&#160;&#160;[[UIScreen mainScreen] bounds].size.width</td></tr>
<tr class="separator:a9a73d343dd1af7bfb763a047fedebe4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6227975f53b2543d4679ba2405decfb3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a6227975f53b2543d4679ba2405decfb3">kScreenHeight</a>&#160;&#160;&#160;[[UIScreen mainScreen] bounds].size.height</td></tr>
<tr class="separator:a6227975f53b2543d4679ba2405decfb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9774310858be08fa6885fdf208dcd1b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#ac9774310858be08fa6885fdf208dcd1b">Iphone6WidthScale</a>&#160;&#160;&#160;<a class="el" href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a>/375.0</td></tr>
<tr class="separator:ac9774310858be08fa6885fdf208dcd1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a522c5b466fa01f13f6e876fe72d5203b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a522c5b466fa01f13f6e876fe72d5203b">Iphone6HeightScale</a>&#160;&#160;&#160;<a class="el" href="_utils_macros_8h.html#a6227975f53b2543d4679ba2405decfb3">kScreenHeight</a>/667.0</td></tr>
<tr class="separator:a522c5b466fa01f13f6e876fe72d5203b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88f3ef8c98351f405c09fc1e44b6a2df"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a88f3ef8c98351f405c09fc1e44b6a2df">kFitWidthScale</a>&#160;&#160;&#160;MIN(<a class="el" href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a>/375.0, 1)</td></tr>
<tr class="separator:a88f3ef8c98351f405c09fc1e44b6a2df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61cd8745dc97d8d8aa1aa72ab0c39531"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a61cd8745dc97d8d8aa1aa72ab0c39531">kFitHeightScale</a>&#160;&#160;&#160;MIN(<a class="el" href="_utils_macros_8h.html#a6227975f53b2543d4679ba2405decfb3">kScreenHeight</a>/667.0, 1)</td></tr>
<tr class="separator:a61cd8745dc97d8d8aa1aa72ab0c39531"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12f838b3e076407655a50b88689608d6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a12f838b3e076407655a50b88689608d6">BoldFont</a>(size)&#160;&#160;&#160;[UIFont boldSystemFontOfSize:size]</td></tr>
<tr class="separator:a12f838b3e076407655a50b88689608d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a178f12aa22fed21cbd4be7b1be0d846a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a178f12aa22fed21cbd4be7b1be0d846a">Font</a>(size)&#160;&#160;&#160;[UIFont systemFontOfSize:size]</td></tr>
<tr class="separator:a178f12aa22fed21cbd4be7b1be0d846a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90ce666df00af4b5d9241613ba0c4b8a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a90ce666df00af4b5d9241613ba0c4b8a">PingFangFont</a>(name,  tsize)</td></tr>
<tr class="separator:a90ce666df00af4b5d9241613ba0c4b8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae714125bc8522a2f6cfe73d4b210d62a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#ae714125bc8522a2f6cfe73d4b210d62a">kChatMessageFont</a>&#160;&#160;&#160;(<a class="el" href="_utils_macros_8h.html#a953a8d702dbddbece4f1401e9f1d5956">gIpad</a> ? <a class="el" href="_utils_macros_8h.html#a178f12aa22fed21cbd4be7b1be0d846a">Font</a>(14) : <a class="el" href="_utils_macros_8h.html#a178f12aa22fed21cbd4be7b1be0d846a">Font</a>(12))</td></tr>
<tr class="separator:ae714125bc8522a2f6cfe73d4b210d62a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4336f22a021b2a1ef2d47206d4b1531f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a4336f22a021b2a1ef2d47206d4b1531f">StringFormat</a>(format, ...)&#160;&#160;&#160;[NSString stringWithFormat:format,##__VA_ARGS__]</td></tr>
<tr class="separator:a4336f22a021b2a1ef2d47206d4b1531f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a188e8601d34bfe12a9990b7a40208609"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a188e8601d34bfe12a9990b7a40208609">SafetyString</a>(str)&#160;&#160;&#160;(str ? str : @&quot;&quot;)</td></tr>
<tr class="separator:a188e8601d34bfe12a9990b7a40208609"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a018d0bf979112eef1030aab40bd222e9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a018d0bf979112eef1030aab40bd222e9">AttString</a>(str,  att)&#160;&#160;&#160;[[NSAttributedString alloc] initWithString:str attributes:att]</td></tr>
<tr class="separator:a018d0bf979112eef1030aab40bd222e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb5d646a25566fabd7b7efa7fb9b39d0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#abb5d646a25566fabd7b7efa7fb9b39d0">URL</a>(str)&#160;&#160;&#160;(str ? [NSURL URLWithString:str] : nil)</td></tr>
<tr class="separator:abb5d646a25566fabd7b7efa7fb9b39d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adda4fbb3f7bd9bf83545ca3b59a69f5e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#adda4fbb3f7bd9bf83545ca3b59a69f5e">Image</a>(name)&#160;&#160;&#160;[UIImage imageNamed:name]</td></tr>
<tr class="memdesc:adda4fbb3f7bd9bf83545ca3b59a69f5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">根据图片名创建图片对象  <a href="_utils_macros_8h.html#adda4fbb3f7bd9bf83545ca3b59a69f5e">更多...</a><br /></td></tr>
<tr class="separator:adda4fbb3f7bd9bf83545ca3b59a69f5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f347a8309411160e600cfac7df0fbd4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a1f347a8309411160e600cfac7df0fbd4">VaildString</a>(f)&#160;&#160;&#160;StrValid(f)</td></tr>
<tr class="separator:a1f347a8309411160e600cfac7df0fbd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02340989ddf95bdd46c1ff2c04e0d4c5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a02340989ddf95bdd46c1ff2c04e0d4c5">VaildDictionary</a>(f)&#160;&#160;&#160;(f!=nil &amp;&amp; [f isKindOfClass:[NSDictionary class]])</td></tr>
<tr class="separator:a02340989ddf95bdd46c1ff2c04e0d4c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff17988710919007e7e336a116e75ad6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#aff17988710919007e7e336a116e75ad6">ValidArray</a>(f)&#160;&#160;&#160;(f!=nil &amp;&amp; [f isKindOfClass:[NSArray class]] &amp;&amp; [f count]&gt;0)</td></tr>
<tr class="separator:aff17988710919007e7e336a116e75ad6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45c26e3afe45239a8b1855a95f97714a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a45c26e3afe45239a8b1855a95f97714a">ValidNumber</a>(f)&#160;&#160;&#160;(f!=nil &amp;&amp; [f isKindOfClass:[NSNumber class]])</td></tr>
<tr class="separator:a45c26e3afe45239a8b1855a95f97714a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45f6ee4b2f7f9e66b018a87426cd7fcf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a45f6ee4b2f7f9e66b018a87426cd7fcf">ValidClass</a>(f,  cls)&#160;&#160;&#160;(f!=nil &amp;&amp; [f isKindOfClass:[cls class]])</td></tr>
<tr class="separator:a45f6ee4b2f7f9e66b018a87426cd7fcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f18775e5e4d4856fa763dab282c04bb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a2f18775e5e4d4856fa763dab282c04bb">ValidData</a>(f)&#160;&#160;&#160;(f!=nil &amp;&amp; [f isKindOfClass:[NSData class]])</td></tr>
<tr class="separator:a2f18775e5e4d4856fa763dab282c04bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8c4e7d66e2551fed8466630e12857a1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#aa8c4e7d66e2551fed8466630e12857a1">kXHXAppVersion</a>&#160;&#160;&#160;@&quot;xhx/autoLogin/AppVersion&quot;</td></tr>
<tr class="memdesc:aa8c4e7d66e2551fed8466630e12857a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">储存app版本号 用于更新版本后的重新登录  <a href="_utils_macros_8h.html#aa8c4e7d66e2551fed8466630e12857a1">更多...</a><br /></td></tr>
<tr class="separator:aa8c4e7d66e2551fed8466630e12857a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a1efb571af034c349070aec3d9beed8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a0a1efb571af034c349070aec3d9beed8">XHXSuppressPerformSelectorLeakWarning</a>(Stuff)</td></tr>
<tr class="separator:a0a1efb571af034c349070aec3d9beed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60fbe30948e8665753d1faea48c46e33"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_utils_macros_8h.html#a60fbe30948e8665753d1faea48c46e33">adjustsScrollViewInsets_NO</a>(scrollView,  vc)</td></tr>
<tr class="separator:a60fbe30948e8665753d1faea48c46e33"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">宏定义说明</h2>
<a id="a60fbe30948e8665753d1faea48c46e33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60fbe30948e8665753d1faea48c46e33">&#9670;&nbsp;</a></span>adjustsScrollViewInsets_NO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define adjustsScrollViewInsets_NO</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">scrollView, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">vc&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>值:</b><div class="fragment"><div class="line"><span class="keywordflow">do</span> { \</div>
<div class="line">_Pragma(<span class="stringliteral">&quot;clang diagnostic push&quot;</span>) \</div>
<div class="line">_Pragma(<span class="stringliteral">&quot;clang diagnostic ignored \&quot;-Warc-performSelector-leaks\&quot;&quot;</span>) \</div>
<div class="line">if ([UIScrollView instancesRespondToSelector:NSSelectorFromString(<span class="stringliteral">@&quot;setContentInsetAdjustmentBehavior:&quot;</span>)]) {\</div>
<div class="line">NSMethodSignature *signature = [UIScrollView instanceMethodSignatureForSelector:<span class="keyword">@selector</span>(setContentInsetAdjustmentBehavior:)];\</div>
<div class="line">NSInvocation *invocation = [NSInvocation invocationWithMethodSignature:signature];\</div>
<div class="line">NSInteger argumet = 2;\</div>
<div class="line">invocation.target = scrollView;\</div>
<div class="line">invocation.selector = <span class="keyword">@selector</span>(setContentInsetAdjustmentBehavior:);\</div>
<div class="line">[invocation setArgument:&amp;argumet atIndex:2];\</div>
<div class="line">[invocation invoke];\</div>
<div class="line">} <span class="keywordflow">else</span> {\</div>
<div class="line">vc.automaticallyAdjustsScrollViewInsets = NO;\</div>
<div class="line">}\</div>
<div class="line">_Pragma(<span class="stringliteral">&quot;clang diagnostic pop&quot;</span>) \</div>
<div class="line">} <span class="keywordflow">while</span> (0)</div>
</div><!-- fragment -->
<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00099">99</a> 行定义.</p>

</div>
</div>
<a id="a018d0bf979112eef1030aab40bd222e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a018d0bf979112eef1030aab40bd222e9">&#9670;&nbsp;</a></span>AttString</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AttString</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">str, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">att&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;[[NSAttributedString alloc] initWithString:str attributes:att]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00069">69</a> 行定义.</p>

</div>
</div>
<a id="a12f838b3e076407655a50b88689608d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12f838b3e076407655a50b88689608d6">&#9670;&nbsp;</a></span>BoldFont</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BoldFont</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">size</td><td>)</td>
          <td>&#160;&#160;&#160;[UIFont boldSystemFontOfSize:size]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00050">50</a> 行定义.</p>

</div>
</div>
<a id="a178f12aa22fed21cbd4be7b1be0d846a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a178f12aa22fed21cbd4be7b1be0d846a">&#9670;&nbsp;</a></span>Font</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define Font</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">size</td><td>)</td>
          <td>&#160;&#160;&#160;[UIFont systemFontOfSize:size]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00052">52</a> 行定义.</p>

</div>
</div>
<a id="a548f04b3d1a2bc2c2b4f2c5a3035883c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a548f04b3d1a2bc2c2b4f2c5a3035883c">&#9670;&nbsp;</a></span>gApp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gApp&#160;&#160;&#160;[UIApplication sharedApplication]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00015">15</a> 行定义.</p>

</div>
</div>
<a id="ad1a157d38b212c04911c55d09db5b0dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1a157d38b212c04911c55d09db5b0dc">&#9670;&nbsp;</a></span>gAPPVERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gAPPVERSION&#160;&#160;&#160;[[[NSBundle mainBundle] infoDictionary] objectForKey:@&quot;CFBundleShortVersionString&quot;]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00039">39</a> 行定义.</p>

</div>
</div>
<a id="ac67f3b7cb189c16b513adb3d9748909f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac67f3b7cb189c16b513adb3d9748909f">&#9670;&nbsp;</a></span>gDevice</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gDevice&#160;&#160;&#160;[UIDevice currentDevice]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00019">19</a> 行定义.</p>

</div>
</div>
<a id="a953a8d702dbddbece4f1401e9f1d5956"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a953a8d702dbddbece4f1401e9f1d5956">&#9670;&nbsp;</a></span>gIpad</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gIpad&#160;&#160;&#160;([[UIDevice currentDevice] userInterfaceIdiom] == UIUserInterfaceIdiomPad)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00036">36</a> 行定义.</p>

</div>
</div>
<a id="a0a09a15c1d18aaa59b32809ea2198835"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a09a15c1d18aaa59b32809ea2198835">&#9670;&nbsp;</a></span>gNavBarHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gNavBarHeight&#160;&#160;&#160;44.0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00030">30</a> 行定义.</p>

</div>
</div>
<a id="af35f788649c2f5cec642f6c28ada5ddf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af35f788649c2f5cec642f6c28ada5ddf">&#9670;&nbsp;</a></span>gNavigationBarHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gNavigationBarHeight&#160;&#160;&#160;(<a class="el" href="_utils_macros_8h.html#a0cf08b20e0753cb224a6bdcef4902af5">gStatusBarHeight</a> + <a class="el" href="_utils_macros_8h.html#a0a09a15c1d18aaa59b32809ea2198835">gNavBarHeight</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00032">32</a> 行定义.</p>

</div>
</div>
<a id="a853964dae0669c5f0b67fafacd013acf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a853964dae0669c5f0b67fafacd013acf">&#9670;&nbsp;</a></span>gNotifyCenter</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gNotifyCenter&#160;&#160;&#160;[NSNotificationCenter defaultCenter]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00018">18</a> 行定义.</p>

</div>
</div>
<a id="a3d0a080fbb01d0e29caf79d88338f957"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d0a080fbb01d0e29caf79d88338f957">&#9670;&nbsp;</a></span>gRootVC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gRootVC&#160;&#160;&#160;[UIApplication sharedApplication].delegate.window.rootViewController</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00016">16</a> 行定义.</p>

</div>
</div>
<a id="a0f3912dbc7504900c6bcb2d4a35e22b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f3912dbc7504900c6bcb2d4a35e22b4">&#9670;&nbsp;</a></span>gSafeBottomHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gSafeBottomHeight&#160;&#160;&#160;(<a class="el" href="_utils_macros_8h.html#afde53ca2c1289d72d5fb88eea60e67e9">kDevice_Is_iPhoneX</a> ? 34:0)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00033">33</a> 行定义.</p>

</div>
</div>
<a id="a122f811ff788c6f5ccc17d413f67a0e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a122f811ff788c6f5ccc17d413f67a0e1">&#9670;&nbsp;</a></span>gScreen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gScreen&#160;&#160;&#160;[UIScreen mainScreen]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<a id="a0cf08b20e0753cb224a6bdcef4902af5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cf08b20e0753cb224a6bdcef4902af5">&#9670;&nbsp;</a></span>gStatusBarHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gStatusBarHeight&#160;&#160;&#160;[[UIApplication sharedApplication] statusBarFrame].size.height</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00029">29</a> 行定义.</p>

</div>
</div>
<a id="a608239176f10a194176cd5c1344289c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a608239176f10a194176cd5c1344289c8">&#9670;&nbsp;</a></span>gTabbarHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gTabbarHeight&#160;&#160;&#160;(kStatusBarHeight &gt; 20 ? 83:49)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00031">31</a> 行定义.</p>

</div>
</div>
<a id="ad12989b812b8ba501ff0eeeb3364d95e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad12989b812b8ba501ff0eeeb3364d95e">&#9670;&nbsp;</a></span>gUserDefaults</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gUserDefaults&#160;&#160;&#160;[NSUserDefaults standardUserDefaults]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00017">17</a> 行定义.</p>

</div>
</div>
<a id="a5433e03a21705bfb985237142e850e10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5433e03a21705bfb985237142e850e10">&#9670;&nbsp;</a></span>gWebNavigationBarHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define gWebNavigationBarHeight&#160;&#160;&#160;<a class="el" href="_utils_macros_8h.html#afde53ca2c1289d72d5fb88eea60e67e9">kDevice_Is_iPhoneX</a> ? (44 + 20) : 20</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00034">34</a> 行定义.</p>

</div>
</div>
<a id="adda4fbb3f7bd9bf83545ca3b59a69f5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adda4fbb3f7bd9bf83545ca3b59a69f5e">&#9670;&nbsp;</a></span>Image</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define Image</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td>&#160;&#160;&#160;[UIImage imageNamed:name]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>根据图片名创建图片对象 </p>

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00074">74</a> 行定义.</p>

</div>
</div>
<a id="a522c5b466fa01f13f6e876fe72d5203b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a522c5b466fa01f13f6e876fe72d5203b">&#9670;&nbsp;</a></span>Iphone6HeightScale</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define Iphone6HeightScale&#160;&#160;&#160;<a class="el" href="_utils_macros_8h.html#a6227975f53b2543d4679ba2405decfb3">kScreenHeight</a>/667.0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00044">44</a> 行定义.</p>

</div>
</div>
<a id="ac9774310858be08fa6885fdf208dcd1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9774310858be08fa6885fdf208dcd1b">&#9670;&nbsp;</a></span>Iphone6WidthScale</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define Iphone6WidthScale&#160;&#160;&#160;<a class="el" href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a>/375.0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00043">43</a> 行定义.</p>

</div>
</div>
<a id="ae714125bc8522a2f6cfe73d4b210d62a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae714125bc8522a2f6cfe73d4b210d62a">&#9670;&nbsp;</a></span>kChatMessageFont</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define kChatMessageFont&#160;&#160;&#160;(<a class="el" href="_utils_macros_8h.html#a953a8d702dbddbece4f1401e9f1d5956">gIpad</a> ? <a class="el" href="_utils_macros_8h.html#a178f12aa22fed21cbd4be7b1be0d846a">Font</a>(14) : <a class="el" href="_utils_macros_8h.html#a178f12aa22fed21cbd4be7b1be0d846a">Font</a>(12))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00064">64</a> 行定义.</p>

</div>
</div>
<a id="afde53ca2c1289d72d5fb88eea60e67e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afde53ca2c1289d72d5fb88eea60e67e9">&#9670;&nbsp;</a></span>kDevice_Is_iPhoneX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define kDevice_Is_iPhoneX&#160;&#160;&#160;iPhoneX</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00025">25</a> 行定义.</p>

</div>
</div>
<a id="a61cd8745dc97d8d8aa1aa72ab0c39531"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61cd8745dc97d8d8aa1aa72ab0c39531">&#9670;&nbsp;</a></span>kFitHeightScale</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define kFitHeightScale&#160;&#160;&#160;MIN(<a class="el" href="_utils_macros_8h.html#a6227975f53b2543d4679ba2405decfb3">kScreenHeight</a>/667.0, 1)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00046">46</a> 行定义.</p>

</div>
</div>
<a id="a88f3ef8c98351f405c09fc1e44b6a2df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88f3ef8c98351f405c09fc1e44b6a2df">&#9670;&nbsp;</a></span>kFitWidthScale</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define kFitWidthScale&#160;&#160;&#160;MIN(<a class="el" href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a>/375.0, 1)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00045">45</a> 行定义.</p>

</div>
</div>
<a id="a210ee0e58ed583bae8cc112adbf3b4eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a210ee0e58ed583bae8cc112adbf3b4eb">&#9670;&nbsp;</a></span>kMaxWidth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define kMaxWidth&#160;&#160;&#160;(<a class="el" href="_utils_macros_8h.html#a6227975f53b2543d4679ba2405decfb3">kScreenHeight</a> &gt; <a class="el" href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a> ? <a class="el" href="_utils_macros_8h.html#a6227975f53b2543d4679ba2405decfb3">kScreenHeight</a> : <a class="el" href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00022">22</a> 行定义.</p>

</div>
</div>
<a id="a6227975f53b2543d4679ba2405decfb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6227975f53b2543d4679ba2405decfb3">&#9670;&nbsp;</a></span>kScreenHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define kScreenHeight&#160;&#160;&#160;[[UIScreen mainScreen] bounds].size.height</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00042">42</a> 行定义.</p>

</div>
</div>
<a id="a9a73d343dd1af7bfb763a047fedebe4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a73d343dd1af7bfb763a047fedebe4c">&#9670;&nbsp;</a></span>kScreenWidth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define kScreenWidth&#160;&#160;&#160;[[UIScreen mainScreen] bounds].size.width</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00041">41</a> 行定义.</p>

</div>
</div>
<a id="a04489de138273eb826b8c7137bcf6ae5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04489de138273eb826b8c7137bcf6ae5">&#9670;&nbsp;</a></span>kVersionGreaterThanOrEqualTo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define kVersionGreaterThanOrEqualTo</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">v</td><td>)</td>
          <td>&#160;&#160;&#160;([[UIDevice currentDevice].systemVersion compare:v options:NSNumericSearch] != NSOrderedAscending)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00026">26</a> 行定义.</p>

</div>
</div>
<a id="aa8c4e7d66e2551fed8466630e12857a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8c4e7d66e2551fed8466630e12857a1">&#9670;&nbsp;</a></span>kXHXAppVersion</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define kXHXAppVersion&#160;&#160;&#160;@&quot;xhx/autoLogin/AppVersion&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>储存app版本号 用于更新版本后的重新登录 </p>

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00085">85</a> 行定义.</p>

</div>
</div>
<a id="abdb519fcdb0f5bced3ea2452e521e8b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdb519fcdb0f5bced3ea2452e521e8b1">&#9670;&nbsp;</a></span>MINSCREEN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MINSCREEN&#160;&#160;&#160;(<a class="el" href="_utils_macros_8h.html#a210ee0e58ed583bae8cc112adbf3b4eb">kMaxWidth</a> &lt; 600)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00023">23</a> 行定义.</p>

</div>
</div>
<a id="a90ce666df00af4b5d9241613ba0c4b8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90ce666df00af4b5d9241613ba0c4b8a">&#9670;&nbsp;</a></span>PingFangFont</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PingFangFont</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">tsize&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>值:</b><div class="fragment"><div class="line">({\</div>
<div class="line">    UIFont *font = [UIFont systemFontOfSize:tsize];\</div>
<div class="line">    if([[UIDevice currentDevice].systemVersion compare:<span class="stringliteral">@&quot;9.0&quot;</span> options:NSNumericSearch] != NSOrderedAscending) {\</div>
<div class="line">        font = [UIFont fontWithName:name size:tsize];\</div>
<div class="line">    }\</div>
<div class="line">    (font);\</div>
<div class="line">})</div>
</div><!-- fragment -->
<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00053">53</a> 行定义.</p>

</div>
</div>
<a id="a188e8601d34bfe12a9990b7a40208609"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a188e8601d34bfe12a9990b7a40208609">&#9670;&nbsp;</a></span>SafetyString</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SafetyString</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">str</td><td>)</td>
          <td>&#160;&#160;&#160;(str ? str : @&quot;&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00068">68</a> 行定义.</p>

</div>
</div>
<a id="a4336f22a021b2a1ef2d47206d4b1531f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4336f22a021b2a1ef2d47206d4b1531f">&#9670;&nbsp;</a></span>StringFormat</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define StringFormat</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">format, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;[NSString stringWithFormat:format,##__VA_ARGS__]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00067">67</a> 行定义.</p>

</div>
</div>
<a id="abb5d646a25566fabd7b7efa7fb9b39d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb5d646a25566fabd7b7efa7fb9b39d0">&#9670;&nbsp;</a></span>URL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define URL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">str</td><td>)</td>
          <td>&#160;&#160;&#160;(str ? [NSURL URLWithString:str] : nil)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00070">70</a> 行定义.</p>

</div>
</div>
<a id="a02340989ddf95bdd46c1ff2c04e0d4c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02340989ddf95bdd46c1ff2c04e0d4c5">&#9670;&nbsp;</a></span>VaildDictionary</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VaildDictionary</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">f</td><td>)</td>
          <td>&#160;&#160;&#160;(f!=nil &amp;&amp; [f isKindOfClass:[NSDictionary class]])</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00078">78</a> 行定义.</p>

</div>
</div>
<a id="a1f347a8309411160e600cfac7df0fbd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f347a8309411160e600cfac7df0fbd4">&#9670;&nbsp;</a></span>VaildString</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VaildString</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">f</td><td>)</td>
          <td>&#160;&#160;&#160;StrValid(f)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00077">77</a> 行定义.</p>

</div>
</div>
<a id="aff17988710919007e7e336a116e75ad6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff17988710919007e7e336a116e75ad6">&#9670;&nbsp;</a></span>ValidArray</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ValidArray</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">f</td><td>)</td>
          <td>&#160;&#160;&#160;(f!=nil &amp;&amp; [f isKindOfClass:[NSArray class]] &amp;&amp; [f count]&gt;0)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00079">79</a> 行定义.</p>

</div>
</div>
<a id="a45f6ee4b2f7f9e66b018a87426cd7fcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45f6ee4b2f7f9e66b018a87426cd7fcf">&#9670;&nbsp;</a></span>ValidClass</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ValidClass</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">f, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">cls&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;(f!=nil &amp;&amp; [f isKindOfClass:[cls class]])</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00081">81</a> 行定义.</p>

</div>
</div>
<a id="a2f18775e5e4d4856fa763dab282c04bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f18775e5e4d4856fa763dab282c04bb">&#9670;&nbsp;</a></span>ValidData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ValidData</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">f</td><td>)</td>
          <td>&#160;&#160;&#160;(f!=nil &amp;&amp; [f isKindOfClass:[NSData class]])</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00082">82</a> 行定义.</p>

</div>
</div>
<a id="a45c26e3afe45239a8b1855a95f97714a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45c26e3afe45239a8b1855a95f97714a">&#9670;&nbsp;</a></span>ValidNumber</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ValidNumber</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">f</td><td>)</td>
          <td>&#160;&#160;&#160;(f!=nil &amp;&amp; [f isKindOfClass:[NSNumber class]])</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00080">80</a> 行定义.</p>

</div>
</div>
<a id="a0a1efb571af034c349070aec3d9beed8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a1efb571af034c349070aec3d9beed8">&#9670;&nbsp;</a></span>XHXSuppressPerformSelectorLeakWarning</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define XHXSuppressPerformSelectorLeakWarning</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">Stuff</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>值:</b><div class="fragment"><div class="line"><span class="keywordflow">do</span> { \</div>
<div class="line">_Pragma(<span class="stringliteral">&quot;clang diagnostic push&quot;</span>) \</div>
<div class="line">_Pragma(<span class="stringliteral">&quot;clang diagnostic ignored \&quot;-Warc-performSelector-leaks\&quot;&quot;</span>) \</div>
<div class="line">Stuff; \</div>
<div class="line">_Pragma(<span class="stringliteral">&quot;clang diagnostic pop&quot;</span>) \</div>
<div class="line">} <span class="keywordflow">while</span> (0)</div>
</div><!-- fragment -->
<p class="definition">在文件 <a class="el" href="_utils_macros_8h_source.html">UtilsMacros.h</a> 第 <a class="el" href="_utils_macros_8h_source.html#l00088">88</a> 行定义.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="_utils_macros_8h.html">UtilsMacros.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
